Index: palm/trunk/SOURCE/surface_data_output_mod.f90
===================================================================
--- palm/trunk/SOURCE/surface_data_output_mod.f90	(revision 4670)
+++ palm/trunk/SOURCE/surface_data_output_mod.f90	(revision 4671)
@@ -2801,382 +2647,347 @@
 
           CASE ( 'us' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%us, surf_def_h(1)%us, surf_lsm_h%us,   &
-                                              surf_usm_h%us, surf_def_v(0)%us, surf_lsm_v(0)%us,   &
-                                              surf_usm_v(0)%us, surf_def_v(1)%us,                  &
-                                              surf_lsm_v(1)%us, surf_usm_v(1)%us,                  &
-                                              surf_def_v(2)%us, surf_lsm_v(2)%us,                  &
-                                              surf_usm_v(2)%us, surf_def_v(3)%us,                  &
-                                              surf_lsm_v(3)%us, surf_usm_v(3)%us, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%us, surf_lsm_h(0)%us, surf_usm_h(0)%us,                        &
+                     surf_def_h(1)%us, surf_lsm_h(1)%us, surf_usm_h(1)%us,                        &
+                     surf_def_v(0)%us, surf_lsm_v(0)%us, surf_usm_v(0)%us,                        &
+                     surf_def_v(1)%us, surf_lsm_v(1)%us, surf_usm_v(1)%us,                        &
+                     surf_def_v(2)%us, surf_lsm_v(2)%us, surf_usm_v(2)%us,                        &
+                     surf_def_v(3)%us, surf_lsm_v(3)%us, surf_usm_v(3)%us, n_out )
 
           CASE ( 'ts' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%ts, surf_def_h(1)%ts, surf_lsm_h%ts,   &
-                                              surf_usm_h%ts, surf_def_v(0)%ts, surf_lsm_v(0)%ts,   &
-                                              surf_usm_v(0)%ts, surf_def_v(1)%ts,                  &
-                                              surf_lsm_v(1)%ts, surf_usm_v(1)%ts,                  &
-                                              surf_def_v(2)%ts, surf_lsm_v(2)%ts,                  &
-                                              surf_usm_v(2)%ts, surf_def_v(3)%ts,                  &
-                                              surf_lsm_v(3)%ts, surf_usm_v(3)%ts, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%ts, surf_lsm_h(0)%ts, surf_usm_h(0)%ts,                        &
+                     surf_def_h(1)%ts, surf_lsm_h(1)%ts, surf_usm_h(1)%ts,                        &
+                     surf_def_v(0)%ts, surf_lsm_v(0)%ts, surf_usm_v(0)%ts,                        &
+                     surf_def_v(1)%ts, surf_lsm_v(1)%ts, surf_usm_v(1)%ts,                        &
+                     surf_def_v(2)%ts, surf_lsm_v(2)%ts, surf_usm_v(2)%ts,                        &
+                     surf_def_v(3)%ts, surf_lsm_v(3)%ts, surf_usm_v(3)%ts, n_out )
 
           CASE ( 'qs' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%qs, surf_def_h(1)%qs, surf_lsm_h%qs,   &
-                                              surf_usm_h%qs, surf_def_v(0)%qs, surf_lsm_v(0)%qs,   &
-                                              surf_usm_v(0)%qs, surf_def_v(1)%qs,                  &
-                                              surf_lsm_v(1)%qs, surf_usm_v(1)%qs,                  &
-                                              surf_def_v(2)%qs, surf_lsm_v(2)%qs,                  &
-                                              surf_usm_v(2)%qs, surf_def_v(3)%qs,                  &
-                                              surf_lsm_v(3)%qs, surf_usm_v(3)%qs, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%qs, surf_lsm_h(0)%qs, surf_usm_h(0)%qs,                        &
+                     surf_def_h(1)%qs, surf_lsm_h(1)%qs, surf_usm_h(1)%qs,                        &
+                     surf_def_v(0)%qs, surf_lsm_v(0)%qs, surf_usm_v(0)%qs,                        &
+                     surf_def_v(1)%qs, surf_lsm_v(1)%qs, surf_usm_v(1)%qs,                        &
+                     surf_def_v(2)%qs, surf_lsm_v(2)%qs, surf_usm_v(2)%qs,                        &
+                     surf_def_v(3)%qs, surf_lsm_v(3)%qs, surf_usm_v(3)%qs, n_out )
 
           CASE ( 'ss' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%ss, surf_def_h(1)%ss, surf_lsm_h%ss,   &
-                                              surf_usm_h%ss, surf_def_v(0)%ss, surf_lsm_v(0)%ss,   &
-                                              surf_usm_v(0)%ss, surf_def_v(1)%ss,                  &
-                                              surf_lsm_v(1)%ss, surf_usm_v(1)%ss,                  &
-                                              surf_def_v(2)%ss, surf_lsm_v(2)%ss,                  &
-                                              surf_usm_v(2)%ss, surf_def_v(3)%ss,                  &
-                                              surf_lsm_v(3)%ss, surf_usm_v(3)%ss, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%ss, surf_lsm_h(0)%ss, surf_usm_h(0)%ss,                        &
+                     surf_def_h(1)%ss, surf_lsm_h(1)%ss, surf_usm_h(1)%ss,                        &
+                     surf_def_v(0)%ss, surf_lsm_v(0)%ss, surf_usm_v(0)%ss,                        &
+                     surf_def_v(1)%ss, surf_lsm_v(1)%ss, surf_usm_v(1)%ss,                        &
+                     surf_def_v(2)%ss, surf_lsm_v(2)%ss, surf_usm_v(2)%ss,                        &
+                     surf_def_v(3)%ss, surf_lsm_v(3)%ss, surf_usm_v(3)%ss, n_out )
 
           CASE ( 'qcs' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%qcs, surf_def_h(1)%qcs,                &
-                                              surf_lsm_h%qcs, surf_usm_h%qcs, surf_def_v(0)%qcs,   &
-                                              surf_lsm_v(0)%qcs, surf_usm_v(0)%qcs,                &
-                                              surf_def_v(1)%qcs, surf_lsm_v(1)%qcs,                &
-                                              surf_usm_v(1)%qcs, surf_def_v(2)%qcs,                &
-                                              surf_lsm_v(2)%qcs, surf_usm_v(2)%qcs,                &
-                                              surf_def_v(3)%qcs, surf_lsm_v(3)%qcs,                &
-                                              surf_usm_v(3)%qcs, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%qcs, surf_lsm_h(0)%qcs, surf_usm_h(0)%qcs,                     &
+                     surf_def_h(1)%qcs, surf_lsm_h(1)%qcs, surf_usm_h(1)%qcs,                     &
+                     surf_def_v(0)%qcs, surf_lsm_v(0)%qcs, surf_usm_v(0)%qcs,                     &
+                     surf_def_v(1)%qcs, surf_lsm_v(1)%qcs, surf_usm_v(1)%qcs,                     &
+                     surf_def_v(2)%qcs, surf_lsm_v(2)%qcs, surf_usm_v(2)%qcs,                     &
+                     surf_def_v(3)%qcs, surf_lsm_v(3)%qcs, surf_usm_v(3)%qcs, n_out )
 
           CASE ( 'ncs' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%ncs, surf_def_h(1)%ncs, surf_lsm_h%ncs,&
-                                              surf_usm_h%ncs, surf_def_v(0)%ncs,                   &
-                                              surf_lsm_v(0)%ncs, surf_usm_v(0)%ncs,                &
-                                              surf_def_v(1)%ncs, surf_lsm_v(1)%ncs,                &
-                                              surf_usm_v(1)%ncs, surf_def_v(2)%ncs,                &
-                                              surf_lsm_v(2)%ncs, surf_usm_v(2)%ncs,                &
-                                              surf_def_v(3)%ncs, surf_lsm_v(3)%ncs,                &
-                                              surf_usm_v(3)%ncs, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%ncs, surf_lsm_h(0)%ncs, surf_usm_h(0)%ncs,                     &
+                     surf_def_h(1)%ncs, surf_lsm_h(1)%ncs, surf_usm_h(1)%ncs,                     &
+                     surf_def_v(0)%ncs, surf_lsm_v(0)%ncs, surf_usm_v(0)%ncs,                     &
+                     surf_def_v(1)%ncs, surf_lsm_v(1)%ncs, surf_usm_v(1)%ncs,                     &
+                     surf_def_v(2)%ncs, surf_lsm_v(2)%ncs, surf_usm_v(2)%ncs,                     &
+                     surf_def_v(3)%ncs, surf_lsm_v(3)%ncs, surf_usm_v(3)%ncs, n_out )
 
           CASE ( 'qis' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%qis, surf_def_h(1)%qis,                &
-                                              surf_lsm_h%qis, surf_usm_h%qis, surf_def_v(0)%qis,   &
-                                              surf_lsm_v(0)%qis, surf_usm_v(0)%qis,                &
-                                              surf_def_v(1)%qis, surf_lsm_v(1)%qis,                &
-                                              surf_usm_v(1)%qis, surf_def_v(2)%qis,                &
-                                              surf_lsm_v(2)%qis, surf_usm_v(2)%qis,                &
-                                              surf_def_v(3)%qis, surf_lsm_v(3)%qis,                &
-                                              surf_usm_v(3)%qrs, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%qis, surf_lsm_h(0)%qis, surf_usm_h(0)%qis,                     &
+                     surf_def_h(1)%qis, surf_lsm_h(1)%qis, surf_usm_h(1)%qis,                     &
+                     surf_def_v(0)%qis, surf_lsm_v(0)%qis, surf_usm_v(0)%qis,                     &
+                     surf_def_v(1)%qis, surf_lsm_v(1)%qis, surf_usm_v(1)%qis,                     &
+                     surf_def_v(2)%qis, surf_lsm_v(2)%qis, surf_usm_v(2)%qis,                     &
+                     surf_def_v(3)%qis, surf_lsm_v(3)%qis, surf_usm_v(3)%qis, n_out )
 
           CASE ( 'nis' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%nis, surf_def_h(1)%nis,                &
-                                              surf_lsm_h%nis, surf_usm_h%nis, surf_def_v(0)%nis,   &
-                                              surf_lsm_v(0)%nis, surf_usm_v(0)%nis,                &
-                                              surf_def_v(1)%nis, surf_lsm_v(1)%nis,                &
-                                              surf_usm_v(1)%nis, surf_def_v(2)%nis,                &
-                                              surf_lsm_v(2)%nis, surf_usm_v(2)%nis,                &
-                                              surf_def_v(3)%nis, surf_lsm_v(3)%nis,                &
-                                              surf_usm_v(3)%nis, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%nis, surf_lsm_h(0)%nis, surf_usm_h(0)%nis,                     &
+                     surf_def_h(1)%nis, surf_lsm_h(1)%nis, surf_usm_h(1)%nis,                     &
+                     surf_def_v(0)%nis, surf_lsm_v(0)%nis, surf_usm_v(0)%nis,                     &
+                     surf_def_v(1)%nis, surf_lsm_v(1)%nis, surf_usm_v(1)%nis,                     &
+                     surf_def_v(2)%nis, surf_lsm_v(2)%nis, surf_usm_v(2)%nis,                     &
+                     surf_def_v(3)%nis, surf_lsm_v(3)%nis, surf_usm_v(3)%nis, n_out )
 
           CASE ( 'qrs' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%qrs, surf_def_h(1)%qrs,                &
-                                              surf_lsm_h%qrs, surf_usm_h%qrs, surf_def_v(0)%qrs,   &
-                                              surf_lsm_v(0)%qrs, surf_usm_v(0)%qrs,                &
-                                              surf_def_v(1)%qrs, surf_lsm_v(1)%qrs,                &
-                                              surf_usm_v(1)%qrs, surf_def_v(2)%qrs,                &
-                                              surf_lsm_v(2)%qrs, surf_usm_v(2)%qrs,                &
-                                              surf_def_v(3)%qrs, surf_lsm_v(3)%qrs,                &
-                                              surf_usm_v(3)%qrs, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%qrs, surf_lsm_h(0)%qrs, surf_usm_h(0)%qrs,                     &
+                     surf_def_h(1)%qrs, surf_lsm_h(1)%qrs, surf_usm_h(1)%qrs,                     &
+                     surf_def_v(0)%qrs, surf_lsm_v(0)%qrs, surf_usm_v(0)%qrs,                     &
+                     surf_def_v(1)%qrs, surf_lsm_v(1)%qrs, surf_usm_v(1)%qrs,                     &
+                     surf_def_v(2)%qrs, surf_lsm_v(2)%qrs, surf_usm_v(2)%qrs,                     &
+                     surf_def_v(3)%qrs, surf_lsm_v(3)%qrs, surf_usm_v(3)%qrs, n_out )
 
           CASE ( 'nrs' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%nrs, surf_def_h(1)%nrs,                &
-                                              surf_lsm_h%nrs, surf_usm_h%nrs, surf_def_v(0)%nrs,   &
-                                              surf_lsm_v(0)%nrs, surf_usm_v(0)%nrs,                &
-                                              surf_def_v(1)%nrs, surf_lsm_v(1)%nrs,                &
-                                              surf_usm_v(1)%nrs, surf_def_v(2)%nrs,                &
-                                              surf_lsm_v(2)%nrs, surf_usm_v(2)%nrs,                &
-                                              surf_def_v(3)%nrs, surf_lsm_v(3)%nrs,                &
-                                              surf_usm_v(3)%nrs, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%nrs, surf_lsm_h(0)%nrs, surf_usm_h(0)%nrs,                     &
+                     surf_def_h(1)%nrs, surf_lsm_h(1)%nrs, surf_usm_h(1)%nrs,                     &
+                     surf_def_v(0)%nrs, surf_lsm_v(0)%nrs, surf_usm_v(0)%nrs,                     &
+                     surf_def_v(1)%nrs, surf_lsm_v(1)%nrs, surf_usm_v(1)%nrs,                     &
+                     surf_def_v(2)%nrs, surf_lsm_v(2)%nrs, surf_usm_v(2)%nrs,                     &
+                     surf_def_v(3)%nrs, surf_lsm_v(3)%nrs, surf_usm_v(3)%nrs, n_out )
 
           CASE ( 'ol' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%ol, surf_def_h(1)%ol, surf_lsm_h%ol,   &
-                                              surf_usm_h%ol, surf_def_v(0)%ol, surf_lsm_v(0)%ol,   &
-                                              surf_usm_v(0)%ol, surf_def_v(1)%ol,                  &
-                                              surf_lsm_v(1)%ol, surf_usm_v(1)%ol,                  &
-                                              surf_def_v(2)%ol, surf_lsm_v(2)%ol,                  &
-                                              surf_usm_v(2)%ol, surf_def_v(3)%ol,                  &
-                                              surf_lsm_v(3)%ol, surf_usm_v(3)%ol, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%ol, surf_lsm_h(0)%ol, surf_usm_h(0)%ol,                        &
+                     surf_def_h(1)%ol, surf_lsm_h(1)%ol, surf_usm_h(1)%ol,                        &
+                     surf_def_v(0)%ol, surf_lsm_v(0)%ol, surf_usm_v(0)%ol,                        &
+                     surf_def_v(1)%ol, surf_lsm_v(1)%ol, surf_usm_v(1)%ol,                        &
+                     surf_def_v(2)%ol, surf_lsm_v(2)%ol, surf_usm_v(2)%ol,                        &
+                     surf_def_v(3)%ol, surf_lsm_v(3)%ol, surf_usm_v(3)%ol, n_out )
 
           CASE ( 'z0' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%z0, surf_def_h(1)%z0, surf_lsm_h%z0,   &
-                                              surf_usm_h%z0, surf_def_v(0)%z0, surf_lsm_v(0)%z0,   &
-                                              surf_usm_v(0)%z0, surf_def_v(1)%z0,                  &
-                                              surf_lsm_v(1)%z0, surf_usm_v(1)%z0,                  &
-                                              surf_def_v(2)%z0, surf_lsm_v(2)%z0,                  &
-                                              surf_usm_v(2)%z0, surf_def_v(3)%z0,                  &
-                                              surf_lsm_v(3)%z0, surf_usm_v(3)%z0, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%z0, surf_lsm_h(0)%z0, surf_usm_h(0)%z0,                        &
+                     surf_def_h(1)%z0, surf_lsm_h(1)%z0, surf_usm_h(1)%z0,                        &
+                     surf_def_v(0)%z0, surf_lsm_v(0)%z0, surf_usm_v(0)%z0,                        &
+                     surf_def_v(1)%z0, surf_lsm_v(1)%z0, surf_usm_v(1)%z0,                        &
+                     surf_def_v(2)%z0, surf_lsm_v(2)%z0, surf_usm_v(2)%z0,                        &
+                     surf_def_v(3)%z0, surf_lsm_v(3)%z0, surf_usm_v(3)%z0, n_out )
 
           CASE ( 'z0h' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%z0h, surf_def_h(1)%z0h,                &
-                                              surf_lsm_h%z0h, surf_usm_h%z0h, surf_def_v(0)%z0h,   &
-                                              surf_lsm_v(0)%z0h, surf_usm_v(0)%z0h,                &
-                                              surf_def_v(1)%z0h, surf_lsm_v(1)%z0h,                &
-                                              surf_usm_v(1)%z0h, surf_def_v(2)%z0h,                &
-                                              surf_lsm_v(2)%z0h, surf_usm_v(2)%z0h,                &
-                                              surf_def_v(3)%z0h, surf_lsm_v(3)%z0h,                &
-                                              surf_usm_v(3)%z0h, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%z0h, surf_lsm_h(0)%z0h, surf_usm_h(0)%z0h,                     &
+                     surf_def_h(1)%z0h, surf_lsm_h(1)%z0h, surf_usm_h(1)%z0h,                     &
+                     surf_def_v(0)%z0h, surf_lsm_v(0)%z0h, surf_usm_v(0)%z0h,                     &
+                     surf_def_v(1)%z0h, surf_lsm_v(1)%z0h, surf_usm_v(1)%z0h,                     &
+                     surf_def_v(2)%z0h, surf_lsm_v(2)%z0h, surf_usm_v(2)%z0h,                     &
+                     surf_def_v(3)%z0h, surf_lsm_v(3)%z0h, surf_usm_v(3)%z0h, n_out )
 
           CASE ( 'z0q' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%z0q, surf_def_h(1)%z0q,                &
-                                              surf_lsm_h%z0q, surf_usm_h%z0q, surf_def_v(0)%z0q,   &
-                                              surf_lsm_v(0)%z0q, surf_usm_v(0)%z0q,                &
-                                              surf_def_v(1)%z0q, surf_lsm_v(1)%z0q,                &
-                                              surf_usm_v(1)%z0q, surf_def_v(2)%z0q,                &
-                                              surf_lsm_v(2)%z0q, surf_usm_v(2)%z0q,                &
-                                              surf_def_v(3)%z0q, surf_lsm_v(3)%z0q,                &
-                                              surf_usm_v(3)%z0q, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%z0q, surf_lsm_h(0)%z0q, surf_usm_h(0)%z0q,                     &
+                     surf_def_h(1)%z0q, surf_lsm_h(1)%z0q, surf_usm_h(1)%z0q,                     &
+                     surf_def_v(0)%z0q, surf_lsm_v(0)%z0q, surf_usm_v(0)%z0q,                     &
+                     surf_def_v(1)%z0q, surf_lsm_v(1)%z0q, surf_usm_v(1)%z0q,                     &
+                     surf_def_v(2)%z0q, surf_lsm_v(2)%z0q, surf_usm_v(2)%z0q,                     &
+                     surf_def_v(3)%z0q, surf_lsm_v(3)%z0q, surf_usm_v(3)%z0q, n_out )
 
           CASE ( 'theta1' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%pt1, surf_def_h(1)%pt1,                &
-                                              surf_lsm_h%pt1, surf_usm_h%pt1, surf_def_v(0)%pt1,   &
-                                              surf_lsm_v(0)%pt1, surf_usm_v(0)%pt1,                &
-                                              surf_def_v(1)%pt1, surf_lsm_v(1)%pt1,                &
-                                              surf_usm_v(1)%pt1, surf_def_v(2)%pt1,                &
-                                              surf_lsm_v(2)%pt1, surf_usm_v(2)%pt1,                &
-                                              surf_def_v(3)%pt1, surf_lsm_v(3)%pt1,                &
-                                              surf_usm_v(3)%pt1, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%pt1, surf_lsm_h(0)%pt1, surf_usm_h(0)%pt1,                     &
+                     surf_def_h(1)%pt1, surf_lsm_h(1)%pt1, surf_usm_h(1)%pt1,                     &
+                     surf_def_v(0)%pt1, surf_lsm_v(0)%pt1, surf_usm_v(0)%pt1,                     &
+                     surf_def_v(1)%pt1, surf_lsm_v(1)%pt1, surf_usm_v(1)%pt1,                     &
+                     surf_def_v(2)%pt1, surf_lsm_v(2)%pt1, surf_usm_v(2)%pt1,                     &
+                     surf_def_v(3)%pt1, surf_lsm_v(3)%pt1, surf_usm_v(3)%pt1, n_out )
 
           CASE ( 'qv1' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%qv1, surf_def_h(1)%qv1,                &
-                                              surf_lsm_h%qv1, surf_usm_h%qv1, surf_def_v(0)%qv1,   &
-                                              surf_lsm_v(0)%qv1, surf_usm_v(0)%qv1,                &
-                                              surf_def_v(1)%qv1, surf_lsm_v(1)%qv1,                &
-                                              surf_usm_v(1)%qv1, surf_def_v(2)%qv1,                &
-                                              surf_lsm_v(2)%qv1, surf_usm_v(2)%qv1,                &
-                                              surf_def_v(3)%qv1, surf_lsm_v(3)%qv1,                &
-                                              surf_usm_v(3)%qv1, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%qv1, surf_lsm_h(0)%qv1, surf_usm_h(0)%qv1,                     &
+                     surf_def_h(1)%qv1, surf_lsm_h(1)%qv1, surf_usm_h(1)%qv1,                     &
+                     surf_def_v(0)%qv1, surf_lsm_v(0)%qv1, surf_usm_v(0)%qv1,                     &
+                     surf_def_v(1)%qv1, surf_lsm_v(1)%qv1, surf_usm_v(1)%qv1,                     &
+                     surf_def_v(2)%qv1, surf_lsm_v(2)%qv1, surf_usm_v(2)%qv1,                     &
+                     surf_def_v(3)%qv1, surf_lsm_v(3)%qv1, surf_usm_v(3)%qv1, n_out )
 
           CASE ( 'thetav1' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%vpt1, surf_def_h(1)%vpt1,              &
-                                              surf_lsm_h%vpt1, surf_usm_h%vpt1,                    &
-                                              surf_def_v(0)%vpt1, surf_lsm_v(0)%vpt1,              &
-                                              surf_usm_v(0)%vpt1, surf_def_v(1)%vpt1,              &
-                                              surf_lsm_v(1)%vpt1, surf_usm_v(1)%vpt1,              &
-                                              surf_def_v(2)%vpt1, surf_lsm_v(2)%vpt1,              &
-                                              surf_usm_v(2)%vpt1, surf_def_v(3)%vpt1,              &
-                                              surf_lsm_v(3)%vpt1, surf_usm_v(3)%vpt1, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%vpt1, surf_lsm_h(0)%vpt1, surf_usm_h(0)%vpt1,                  &
+                     surf_def_h(1)%vpt1, surf_lsm_h(1)%vpt1, surf_usm_h(1)%vpt1,                  &
+                     surf_def_v(0)%vpt1, surf_lsm_v(0)%vpt1, surf_usm_v(0)%vpt1,                  &
+                     surf_def_v(1)%vpt1, surf_lsm_v(1)%vpt1, surf_usm_v(1)%vpt1,                  &
+                     surf_def_v(2)%vpt1, surf_lsm_v(2)%vpt1, surf_usm_v(2)%vpt1,                  &
+                     surf_def_v(3)%vpt1, surf_lsm_v(3)%vpt1, surf_usm_v(3)%vpt1, n_out )
 
           CASE ( 'usws' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%usws, surf_def_h(1)%usws,              &
-                                              surf_lsm_h%usws, surf_usm_h%usws,                    &
-                                              surf_def_v(0)%usws, surf_lsm_v(0)%usws,              &
-                                              surf_usm_v(0)%usws, surf_def_v(1)%usws,              &
-                                              surf_lsm_v(1)%usws, surf_usm_v(1)%usws,              &
-                                              surf_def_v(2)%usws, surf_lsm_v(2)%usws,              &
-                                              surf_usm_v(2)%usws, surf_def_v(3)%usws,              &
-                                              surf_lsm_v(3)%usws, surf_usm_v(3)%usws, n_out,       &
-                                              momentumflux_output_conversion )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%usws, surf_lsm_h(0)%usws, surf_usm_h(0)%usws,                  &
+                     surf_def_h(1)%usws, surf_lsm_h(1)%usws, surf_usm_h(1)%usws,                  &
+                     surf_def_v(0)%usws, surf_lsm_v(0)%usws, surf_usm_v(0)%usws,                  &
+                     surf_def_v(1)%usws, surf_lsm_v(1)%usws, surf_usm_v(1)%usws,                  &
+                     surf_def_v(2)%usws, surf_lsm_v(2)%usws, surf_usm_v(2)%usws,                  &
+                     surf_def_v(3)%usws, surf_lsm_v(3)%usws, surf_usm_v(3)%usws, n_out,           &
+                     momentumflux_output_conversion )
 
           CASE ( 'vsws' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%vsws, surf_def_h(1)%vsws,              &
-                                              surf_lsm_h%vsws, surf_usm_h%vsws,                    &
-                                              surf_def_v(0)%vsws, surf_lsm_v(0)%vsws,              &
-                                              surf_usm_v(0)%vsws, surf_def_v(1)%vsws,              &
-                                              surf_lsm_v(1)%vsws, surf_usm_v(1)%vsws,              &
-                                              surf_def_v(2)%vsws, surf_lsm_v(2)%vsws,              &
-                                              surf_usm_v(2)%vsws, surf_def_v(3)%vsws,              &
-                                              surf_lsm_v(3)%vsws, surf_usm_v(3)%vsws, n_out,       &
-                                              momentumflux_output_conversion )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%vsws, surf_lsm_h(0)%vsws, surf_usm_h(0)%vsws,                  &
+                     surf_def_h(1)%vsws, surf_lsm_h(1)%vsws, surf_usm_h(1)%vsws,                  &
+                     surf_def_v(0)%vsws, surf_lsm_v(0)%vsws, surf_usm_v(0)%vsws,                  &
+                     surf_def_v(1)%vsws, surf_lsm_v(1)%vsws, surf_usm_v(1)%vsws,                  &
+                     surf_def_v(2)%vsws, surf_lsm_v(2)%vsws, surf_usm_v(2)%vsws,                  &
+                     surf_def_v(3)%vsws, surf_lsm_v(3)%vsws, surf_usm_v(3)%vsws, n_out,           &
+                     momentumflux_output_conversion )
 
           CASE ( 'shf' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%shf, surf_def_h(1)%shf,                &
-                                              surf_lsm_h%shf, surf_usm_h%shf, surf_def_v(0)%shf,   &
-                                              surf_lsm_v(0)%shf, surf_usm_v(0)%shf,                &
-                                              surf_def_v(1)%shf, surf_lsm_v(1)%shf,                &
-                                              surf_usm_v(1)%shf, surf_def_v(2)%shf,                &
-                                              surf_lsm_v(2)%shf, surf_usm_v(2)%shf,                &
-                                              surf_def_v(3)%shf, surf_lsm_v(3)%shf,                &
-                                              surf_usm_v(3)%shf, n_out, heatflux_output_conversion )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%shf, surf_lsm_h(0)%shf, surf_usm_h(0)%shf,                     &
+                     surf_def_h(1)%shf, surf_lsm_h(1)%shf, surf_usm_h(1)%shf,                     &
+                     surf_def_v(0)%shf, surf_lsm_v(0)%shf, surf_usm_v(0)%shf,                     &
+                     surf_def_v(1)%shf, surf_lsm_v(1)%shf, surf_usm_v(1)%shf,                     &
+                     surf_def_v(2)%shf, surf_lsm_v(2)%shf, surf_usm_v(2)%shf,                     &
+                     surf_def_v(3)%shf, surf_lsm_v(3)%shf, surf_usm_v(3)%shf, n_out,              &
+                     heatflux_output_conversion )
 
           CASE ( 'qsws' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%qsws, surf_def_h(1)%qsws,              &
-                                              surf_lsm_h%qsws, surf_usm_h%qsws,                    &
-                                              surf_def_v(0)%qsws, surf_lsm_v(0)%qsws,              &
-                                              surf_usm_v(0)%qsws, surf_def_v(1)%qsws,              &
-                                              surf_lsm_v(1)%qsws, surf_usm_v(1)%qsws,              &
-                                              surf_def_v(2)%qsws, surf_lsm_v(2)%qsws,              &
-                                              surf_usm_v(2)%qsws, surf_def_v(3)%qsws,              &
-                                              surf_lsm_v(3)%qsws, surf_usm_v(3)%qsws, n_out,       &
-                                              waterflux_output_conversion )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%qsws, surf_lsm_h(0)%qsws, surf_usm_h(0)%qsws,                  &
+                     surf_def_h(1)%qsws, surf_lsm_h(1)%qsws, surf_usm_h(1)%qsws,                  &
+                     surf_def_v(0)%qsws, surf_lsm_v(0)%qsws, surf_usm_v(0)%qsws,                  &
+                     surf_def_v(1)%qsws, surf_lsm_v(1)%qsws, surf_usm_v(1)%qsws,                  &
+                     surf_def_v(2)%qsws, surf_lsm_v(2)%qsws, surf_usm_v(2)%qsws,                  &
+                     surf_def_v(3)%qsws, surf_lsm_v(3)%qsws, surf_usm_v(3)%qsws, n_out,           &
+                     waterflux_output_conversion )
 
           CASE ( 'ssws' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%ssws, surf_def_h(1)%ssws,              &
-                                              surf_lsm_h%ssws, surf_usm_h%ssws,                    &
-                                              surf_def_v(0)%ssws, surf_lsm_v(0)%ssws,              &
-                                              surf_usm_v(0)%ssws, surf_def_v(1)%ssws,              &
-                                              surf_lsm_v(1)%ssws, surf_usm_v(1)%ssws,              &
-                                              surf_def_v(2)%ssws, surf_lsm_v(2)%ssws,              &
-                                              surf_usm_v(2)%ssws, surf_def_v(3)%ssws,              &
-                                              surf_lsm_v(3)%ssws, surf_usm_v(3)%ssws, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%ssws, surf_lsm_h(0)%ssws, surf_usm_h(0)%ssws,                  &
+                     surf_def_h(1)%ssws, surf_lsm_h(1)%ssws, surf_usm_h(1)%ssws,                  &
+                     surf_def_v(0)%ssws, surf_lsm_v(0)%ssws, surf_usm_v(0)%ssws,                  &
+                     surf_def_v(1)%ssws, surf_lsm_v(1)%ssws, surf_usm_v(1)%ssws,                  &
+                     surf_def_v(2)%ssws, surf_lsm_v(2)%ssws, surf_usm_v(2)%ssws,                  &
+                     surf_def_v(3)%ssws, surf_lsm_v(3)%ssws, surf_usm_v(3)%ssws, n_out )
 
           CASE ( 'qcsws' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%qcsws, surf_def_h(1)%qcsws,            &
-                                              surf_lsm_h%qcsws, surf_usm_h%qcsws,                  &
-                                              surf_def_v(0)%qcsws, surf_lsm_v(0)%qcsws,            &
-                                              surf_usm_v(0)%qcsws, surf_def_v(1)%qcsws,            &
-                                              surf_lsm_v(1)%qcsws, surf_usm_v(1)%qcsws,            &
-                                              surf_def_v(2)%qcsws, surf_lsm_v(2)%qcsws,            &
-                                              surf_usm_v(2)%qcsws, surf_def_v(3)%qcsws,            &
-                                              surf_lsm_v(3)%qcsws, surf_usm_v(3)%qcsws, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%qcsws, surf_lsm_h(0)%qcsws, surf_usm_h(0)%qcsws,               &
+                     surf_def_h(1)%qcsws, surf_lsm_h(1)%qcsws, surf_usm_h(1)%qcsws,               &
+                     surf_def_v(0)%qcsws, surf_lsm_v(0)%qcsws, surf_usm_v(0)%qcsws,               &
+                     surf_def_v(1)%qcsws, surf_lsm_v(1)%qcsws, surf_usm_v(1)%qcsws,               &
+                     surf_def_v(2)%qcsws, surf_lsm_v(2)%qcsws, surf_usm_v(2)%qcsws,               &
+                     surf_def_v(3)%qcsws, surf_lsm_v(3)%qcsws, surf_usm_v(3)%qcsws, n_out )
 
           CASE ( 'ncsws' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%ncsws, surf_def_h(1)%ncsws,            &
-                                              surf_lsm_h%ncsws, surf_usm_h%ncsws,                  &
-                                              surf_def_v(0)%ncsws, surf_lsm_v(0)%ncsws,            &
-                                              surf_usm_v(0)%ncsws, surf_def_v(1)%ncsws,            &
-                                              surf_lsm_v(1)%ncsws, surf_usm_v(1)%ncsws,            &
-                                              surf_def_v(2)%ncsws, surf_lsm_v(2)%ncsws,            &
-                                              surf_usm_v(2)%ncsws, surf_def_v(3)%ncsws,            &
-                                              surf_lsm_v(3)%ncsws, surf_usm_v(3)%ncsws, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%ncsws, surf_lsm_h(0)%ncsws, surf_usm_h(0)%ncsws,               &
+                     surf_def_h(1)%ncsws, surf_lsm_h(1)%ncsws, surf_usm_h(1)%ncsws,               &
+                     surf_def_v(0)%ncsws, surf_lsm_v(0)%ncsws, surf_usm_v(0)%ncsws,               &
+                     surf_def_v(1)%ncsws, surf_lsm_v(1)%ncsws, surf_usm_v(1)%ncsws,               &
+                     surf_def_v(2)%ncsws, surf_lsm_v(2)%ncsws, surf_usm_v(2)%ncsws,               &
+                     surf_def_v(3)%ncsws, surf_lsm_v(3)%ncsws, surf_usm_v(3)%ncsws, n_out )
 
           CASE ( 'qisws' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%qisws, surf_def_h(1)%qisws,            &
-                                              surf_lsm_h%qisws, surf_usm_h%qisws,                  &
-                                              surf_def_v(0)%qisws, surf_lsm_v(0)%qisws,            &
-                                              surf_usm_v(0)%qisws, surf_def_v(1)%qisws,            &
-                                              surf_lsm_v(1)%qisws, surf_usm_v(1)%qisws,            &
-                                              surf_def_v(2)%qisws, surf_lsm_v(2)%qisws,            &
-                                              surf_usm_v(2)%qisws, surf_def_v(3)%qisws,            &
-                                              surf_lsm_v(3)%qisws, surf_usm_v(3)%qisws, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%qisws, surf_lsm_h(0)%qisws, surf_usm_h(0)%qisws,               &
+                     surf_def_h(1)%qisws, surf_lsm_h(1)%qisws, surf_usm_h(1)%qisws,               &
+                     surf_def_v(0)%qisws, surf_lsm_v(0)%qisws, surf_usm_v(0)%qisws,               &
+                     surf_def_v(1)%qisws, surf_lsm_v(1)%qisws, surf_usm_v(1)%qisws,               &
+                     surf_def_v(2)%qisws, surf_lsm_v(2)%qisws, surf_usm_v(2)%qisws,               &
+                     surf_def_v(3)%qisws, surf_lsm_v(3)%qisws, surf_usm_v(3)%qisws, n_out )
 
           CASE ( 'nisws' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%nisws, surf_def_h(1)%nisws,            &
-                                              surf_lsm_h%nisws, surf_usm_h%nisws,                  &
-                                              surf_def_v(0)%nisws, surf_lsm_v(0)%nisws,            &
-                                              surf_usm_v(0)%nisws, surf_def_v(1)%nisws,            &
-                                              surf_lsm_v(1)%nisws, surf_usm_v(1)%nisws,            &
-                                              surf_def_v(2)%nisws, surf_lsm_v(2)%nisws,            &
-                                              surf_usm_v(2)%nisws, surf_def_v(3)%nisws,            &
-                                              surf_lsm_v(3)%nisws, surf_usm_v(3)%nisws, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%nisws, surf_lsm_h(0)%nisws, surf_usm_h(0)%nisws,               &
+                     surf_def_h(1)%nisws, surf_lsm_h(1)%nisws, surf_usm_h(1)%nisws,               &
+                     surf_def_v(0)%nisws, surf_lsm_v(0)%nisws, surf_usm_v(0)%nisws,               &
+                     surf_def_v(1)%nisws, surf_lsm_v(1)%nisws, surf_usm_v(1)%nisws,               &
+                     surf_def_v(2)%nisws, surf_lsm_v(2)%nisws, surf_usm_v(2)%nisws,               &
+                     surf_def_v(3)%nisws, surf_lsm_v(3)%nisws, surf_usm_v(3)%nisws, n_out )
 
           CASE ( 'qrsws' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%qrsws, surf_def_h(1)%qrsws,            &
-                                              surf_lsm_h%qrsws, surf_usm_h%qrsws,                  &
-                                              surf_def_v(0)%qrsws, surf_lsm_v(0)%qrsws,            &
-                                              surf_usm_v(0)%qrsws, surf_def_v(1)%qrsws,            &
-                                              surf_lsm_v(1)%qrsws, surf_usm_v(1)%qrsws,            &
-                                              surf_def_v(2)%qrsws, surf_lsm_v(2)%qrsws,            &
-                                              surf_usm_v(2)%qrsws, surf_def_v(3)%qrsws,            &
-                                              surf_lsm_v(3)%qrsws, surf_usm_v(3)%qrsws, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%qrsws, surf_lsm_h(0)%qrsws, surf_usm_h(0)%qrsws,               &
+                     surf_def_h(1)%qrsws, surf_lsm_h(1)%qrsws, surf_usm_h(1)%qrsws,               &
+                     surf_def_v(0)%qrsws, surf_lsm_v(0)%qrsws, surf_usm_v(0)%qrsws,               &
+                     surf_def_v(1)%qrsws, surf_lsm_v(1)%qrsws, surf_usm_v(1)%qrsws,               &
+                     surf_def_v(2)%qrsws, surf_lsm_v(2)%qrsws, surf_usm_v(2)%qrsws,               &
+                     surf_def_v(3)%qrsws, surf_lsm_v(3)%qrsws, surf_usm_v(3)%qrsws, n_out )
 
           CASE ( 'nrsws' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%nrsws, surf_def_h(1)%nrsws,            &
-                                              surf_lsm_h%nrsws, surf_usm_h%nrsws,                  &
-                                              surf_def_v(0)%nrsws, surf_lsm_v(0)%nrsws,            &
-                                              surf_usm_v(0)%nrsws, surf_def_v(1)%nrsws,            &
-                                              surf_lsm_v(1)%nrsws, surf_usm_v(1)%nrsws,            &
-                                              surf_def_v(2)%nrsws, surf_lsm_v(2)%nrsws,            &
-                                              surf_usm_v(2)%nrsws, surf_def_v(3)%nrsws,            &
-                                              surf_lsm_v(3)%nrsws, surf_usm_v(3)%nrsws, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%nrsws, surf_lsm_h(0)%nrsws, surf_usm_h(0)%nrsws,               &
+                     surf_def_h(1)%nrsws, surf_lsm_h(1)%nrsws, surf_usm_h(1)%nrsws,               &
+                     surf_def_v(0)%nrsws, surf_lsm_v(0)%nrsws, surf_usm_v(0)%nrsws,               &
+                     surf_def_v(1)%nrsws, surf_lsm_v(1)%nrsws, surf_usm_v(1)%nrsws,               &
+                     surf_def_v(2)%nrsws, surf_lsm_v(2)%nrsws, surf_usm_v(2)%nrsws,               &
+                     surf_def_v(3)%nrsws, surf_lsm_v(3)%nrsws, surf_usm_v(3)%nrsws, n_out )
 
           CASE ( 'sasws' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%sasws, surf_def_h(1)%sasws,            &
-                                              surf_lsm_h%sasws, surf_usm_h%sasws,                  &
-                                              surf_def_v(0)%sasws, surf_lsm_v(0)%sasws,            &
-                                              surf_usm_v(0)%sasws, surf_def_v(1)%sasws,            &
-                                              surf_lsm_v(1)%sasws, surf_usm_v(1)%sasws,            &
-                                              surf_def_v(2)%sasws, surf_lsm_v(2)%sasws,            &
-                                              surf_usm_v(2)%sasws, surf_def_v(3)%sasws,            &
-                                              surf_lsm_v(3)%sasws, surf_usm_v(3)%sasws, n_out )
+             CALL surface_data_output_sum_up(                                                     &
+                     surf_def_h(0)%sasws, surf_lsm_h(0)%sasws, surf_usm_h(0)%sasws,               &
+                     surf_def_h(1)%sasws, surf_lsm_h(1)%sasws, surf_usm_h(1)%sasws,               &
+                     surf_def_v(0)%sasws, surf_lsm_v(0)%sasws, surf_usm_v(0)%sasws,               &
+                     surf_def_v(1)%sasws, surf_lsm_v(1)%sasws, surf_usm_v(1)%sasws,               &
+                     surf_def_v(2)%sasws, surf_lsm_v(2)%sasws, surf_usm_v(2)%sasws,               &
+                     surf_def_v(3)%sasws, surf_lsm_v(3)%sasws, surf_usm_v(3)%sasws, n_out )
 
           CASE ( 'q_surface' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%q_surface, surf_def_h(1)%q_surface,    &
-                                              surf_lsm_h%q_surface, surf_usm_h%q_surface,          &
-                                              surf_def_v(0)%q_surface, surf_lsm_v(0)%q_surface,    &
-                                              surf_usm_v(0)%q_surface, surf_def_v(1)%q_surface,    &
-                                              surf_lsm_v(1)%q_surface, surf_usm_v(1)%q_surface,    &
-                                              surf_def_v(2)%q_surface, surf_lsm_v(2)%q_surface,    &
-                                              surf_usm_v(2)%q_surface, surf_def_v(3)%q_surface,    &
-                                              surf_lsm_v(3)%q_surface, surf_usm_v(3)%q_surface,    &
-                                              n_out )
-
+             CALL surface_data_output_sum_up(                                                    &
+                     surf_def_h(0)%q_surface, surf_lsm_h(0)%q_surface, surf_usm_h(0)%q_surface,  &
+                     surf_def_h(1)%q_surface, surf_lsm_h(1)%q_surface, surf_usm_h(1)%q_surface,  &
+                     surf_def_v(0)%q_surface, surf_lsm_v(0)%q_surface, surf_usm_v(0)%q_surface,  &
+                     surf_def_v(1)%q_surface, surf_lsm_v(1)%q_surface, surf_usm_v(1)%q_surface,  &
+                     surf_def_v(2)%q_surface, surf_lsm_v(2)%q_surface, surf_usm_v(2)%q_surface,  &
+                     surf_def_v(3)%q_surface, surf_lsm_v(3)%q_surface, surf_usm_v(3)%q_surface,  &
+                     n_out )
 
           CASE ( 'theta_surface' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%pt_surface, surf_def_h(1)%pt_surface,  &
-                                              surf_lsm_h%pt_surface, surf_usm_h%pt_surface,        &
-                                              surf_def_v(0)%pt_surface, surf_lsm_v(0)%pt_surface,  &
-                                              surf_usm_v(0)%pt_surface, surf_def_v(1)%pt_surface,  &
-                                              surf_lsm_v(1)%pt_surface, surf_usm_v(1)%pt_surface,  &
-                                              surf_def_v(2)%pt_surface, surf_lsm_v(2)%pt_surface,  &
-                                              surf_usm_v(2)%pt_surface, surf_def_v(3)%pt_surface,  &
-                                              surf_lsm_v(3)%pt_surface, surf_usm_v(3)%pt_surface,  &
-                                              n_out )
+             CALL surface_data_output_sum_up(                                                    &
+                  surf_def_h(0)%pt_surface, surf_lsm_h(0)%pt_surface, surf_usm_h(0)%pt_surface,  &
+                  surf_def_h(1)%pt_surface, surf_lsm_h(1)%pt_surface, surf_usm_h(1)%pt_surface,  &
+                  surf_def_v(0)%pt_surface, surf_lsm_v(0)%pt_surface, surf_usm_v(0)%pt_surface,  &
+                  surf_def_v(1)%pt_surface, surf_lsm_v(1)%pt_surface, surf_usm_v(1)%pt_surface,  &
+                  surf_def_v(2)%pt_surface, surf_lsm_v(2)%pt_surface, surf_usm_v(2)%pt_surface,  &
+                  surf_def_v(3)%pt_surface, surf_lsm_v(3)%pt_surface, surf_usm_v(3)%pt_surface,  &
+                  n_out )
 
           CASE ( 'thetav_surface' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%vpt_surface,                           &
-                                              surf_def_h(1)%vpt_surface, surf_lsm_h%vpt_surface,   &
-                                              surf_usm_h%vpt_surface, surf_def_v(0)%vpt_surface,   &
-                                              surf_lsm_v(0)%vpt_surface,                           &
-                                              surf_usm_v(0)%vpt_surface,                           &
-                                              surf_def_v(1)%vpt_surface,                           &
-                                              surf_lsm_v(1)%vpt_surface,                           &
-                                              surf_usm_v(1)%vpt_surface,                           &
-                                              surf_def_v(2)%vpt_surface,                           &
-                                              surf_lsm_v(2)%vpt_surface,                           &
-                                              surf_usm_v(2)%vpt_surface,                           &
-                                              surf_def_v(3)%vpt_surface,                           &
-                                              surf_lsm_v(3)%vpt_surface,                           &
-                                              surf_usm_v(3)%vpt_surface, n_out )
+             CALL surface_data_output_sum_up(                                                    &
+                surf_def_h(0)%vpt_surface, surf_lsm_h(0)%vpt_surface, surf_usm_h(0)%vpt_surface, &
+                surf_def_h(1)%vpt_surface, surf_lsm_h(1)%vpt_surface, surf_usm_h(1)%vpt_surface, &
+                surf_def_v(0)%vpt_surface, surf_lsm_v(0)%vpt_surface, surf_usm_v(0)%vpt_surface, &
+                surf_def_v(1)%vpt_surface, surf_lsm_v(1)%vpt_surface, surf_usm_v(1)%vpt_surface, &
+                surf_def_v(2)%vpt_surface, surf_lsm_v(2)%vpt_surface, surf_usm_v(2)%vpt_surface, &
+                surf_def_v(3)%vpt_surface, surf_lsm_v(3)%vpt_surface, surf_usm_v(3)%pt_surface,  &
+                n_out )
 
           CASE ( 'rad_net' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%rad_net, surf_def_h(1)%rad_net,        &
-                                              surf_lsm_h%rad_net, surf_usm_h%rad_net,              &
-                                              surf_def_v(0)%rad_net, surf_lsm_v(0)%rad_net,        &
-                                              surf_usm_v(0)%rad_net, surf_def_v(1)%rad_net,        &
-                                              surf_lsm_v(1)%rad_net, surf_usm_v(1)%rad_net,        &
-                                              surf_def_v(2)%rad_net, surf_lsm_v(2)%rad_net,        &
-                                              surf_usm_v(2)%rad_net, surf_def_v(3)%rad_net,        &
-                                              surf_lsm_v(3)%rad_net, surf_usm_v(3)%rad_net, n_out )
+             CALL surface_data_output_sum_up(                                                    &
+                     surf_def_h(0)%rad_net, surf_lsm_h(0)%rad_net, surf_usm_h(0)%rad_net,        &
+                     surf_def_h(1)%rad_net, surf_lsm_h(1)%rad_net, surf_usm_h(1)%rad_net,        &
+                     surf_def_v(0)%rad_net, surf_lsm_v(0)%rad_net, surf_usm_v(0)%rad_net,        &
+                     surf_def_v(1)%rad_net, surf_lsm_v(1)%rad_net, surf_usm_v(1)%rad_net,        &
+                     surf_def_v(2)%rad_net, surf_lsm_v(2)%rad_net, surf_usm_v(2)%rad_net,        &
+                     surf_def_v(3)%rad_net, surf_lsm_v(3)%rad_net, surf_usm_v(3)%rad_net,        &
+                     n_out )
 
           CASE ( 'rad_lw_in' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%rad_lw_in, surf_def_h(1)%rad_lw_in,    &
-                                              surf_lsm_h%rad_lw_in, surf_usm_h%rad_lw_in,          &
-                                              surf_def_v(0)%rad_lw_in, surf_lsm_v(0)%rad_lw_in,    &
-                                              surf_usm_v(0)%rad_lw_in, surf_def_v(1)%rad_lw_in,    &
-                                              surf_lsm_v(1)%rad_lw_in, surf_usm_v(1)%rad_lw_in,    &
-                                              surf_def_v(2)%rad_lw_in, surf_lsm_v(2)%rad_lw_in,    &
-                                              surf_usm_v(2)%rad_lw_in, surf_def_v(3)%rad_lw_in,    &
-                                              surf_lsm_v(3)%rad_lw_in, surf_usm_v(3)%rad_lw_in,    &
-                                              n_out )
+             CALL surface_data_output_sum_up(                                                    &
+                  surf_def_h(0)%rad_lw_in, surf_lsm_h(0)%rad_lw_in, surf_usm_h(0)%rad_lw_in,     &
+                  surf_def_h(1)%rad_lw_in, surf_lsm_h(1)%rad_lw_in, surf_usm_h(1)%rad_lw_in,     &
+                  surf_def_v(0)%rad_lw_in, surf_lsm_v(0)%rad_lw_in, surf_usm_v(0)%rad_lw_in,     &
+                  surf_def_v(1)%rad_lw_in, surf_lsm_v(1)%rad_lw_in, surf_usm_v(1)%rad_lw_in,     &
+                  surf_def_v(2)%rad_lw_in, surf_lsm_v(2)%rad_lw_in, surf_usm_v(2)%rad_lw_in,     &
+                  surf_def_v(3)%rad_lw_in, surf_lsm_v(3)%rad_lw_in, surf_usm_v(3)%rad_lw_in,     &
+                  n_out )
 
           CASE ( 'rad_lw_out' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%rad_lw_out, surf_def_h(1)%rad_lw_out,  &
-                                              surf_lsm_h%rad_lw_out, surf_usm_h%rad_lw_out,        &
-                                              surf_def_v(0)%rad_lw_out, surf_lsm_v(0)%rad_lw_out,  &
-                                              surf_usm_v(0)%rad_lw_out, surf_def_v(1)%rad_lw_out,  &
-                                              surf_lsm_v(1)%rad_lw_out, surf_usm_v(1)%rad_lw_out,  &
-                                              surf_def_v(2)%rad_lw_out, surf_lsm_v(2)%rad_lw_out,  &
-                                              surf_usm_v(2)%rad_lw_out, surf_def_v(3)%rad_lw_out,  &
-                                              surf_lsm_v(3)%rad_lw_out, surf_usm_v(3)%rad_lw_out,  &
-                                              n_out )
+             CALL surface_data_output_sum_up(                                                    &
+                  surf_def_h(0)%rad_lw_out, surf_lsm_h(0)%rad_lw_out, surf_usm_h(0)%rad_lw_out,  &
+                  surf_def_h(1)%rad_lw_out, surf_lsm_h(1)%rad_lw_out, surf_usm_h(1)%rad_lw_out,  &
+                  surf_def_v(0)%rad_lw_out, surf_lsm_v(0)%rad_lw_out, surf_usm_v(0)%rad_lw_out,  &
+                  surf_def_v(1)%rad_lw_out, surf_lsm_v(1)%rad_lw_out, surf_usm_v(1)%rad_lw_out,  &
+                  surf_def_v(2)%rad_lw_out, surf_lsm_v(2)%rad_lw_out, surf_usm_v(2)%rad_lw_out,  &
+                  surf_def_v(3)%rad_lw_out, surf_lsm_v(3)%rad_lw_out, surf_usm_v(3)%rad_lw_out,  &
+                  n_out )
 
           CASE ( 'rad_sw_in' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%rad_sw_in, surf_def_h(1)%rad_sw_in,    &
-                                              surf_lsm_h%rad_sw_in, surf_usm_h%rad_sw_in,          &
-                                              surf_def_v(0)%rad_sw_in, surf_lsm_v(0)%rad_sw_in,    &
-                                              surf_usm_v(0)%rad_sw_in, surf_def_v(1)%rad_sw_in,    &
-                                              surf_lsm_v(1)%rad_sw_in, surf_usm_v(1)%rad_sw_in,    &
-                                              surf_def_v(2)%rad_sw_in, surf_lsm_v(2)%rad_sw_in,    &
-                                              surf_usm_v(2)%rad_sw_in, surf_def_v(3)%rad_sw_in,    &
-                                              surf_lsm_v(3)%rad_sw_in, surf_usm_v(3)%rad_sw_in,    &
-                                              n_out )
+             CALL surface_data_output_sum_up(                                                    &
+                  surf_def_h(0)%rad_sw_in, surf_lsm_h(0)%rad_sw_in, surf_usm_h(0)%rad_sw_in,     &
+                  surf_def_h(1)%rad_sw_in, surf_lsm_h(1)%rad_sw_in, surf_usm_h(1)%rad_sw_in,     &
+                  surf_def_v(0)%rad_sw_in, surf_lsm_v(0)%rad_sw_in, surf_usm_v(0)%rad_sw_in,     &
+                  surf_def_v(1)%rad_sw_in, surf_lsm_v(1)%rad_sw_in, surf_usm_v(1)%rad_sw_in,     &
+                  surf_def_v(2)%rad_sw_in, surf_lsm_v(2)%rad_sw_in, surf_usm_v(2)%rad_sw_in,     &
+                  surf_def_v(3)%rad_sw_in, surf_lsm_v(3)%rad_sw_in, surf_usm_v(3)%rad_sw_in,     &
+                  n_out )
 
           CASE ( 'rad_sw_out' )
-             CALL surface_data_output_sum_up( surf_def_h(0)%rad_sw_out, surf_def_h(1)%rad_sw_out,  &
-                                              surf_lsm_h%rad_sw_out, surf_usm_h%rad_sw_out,        &
-                                              surf_def_v(0)%rad_sw_out, surf_lsm_v(0)%rad_sw_out,  &
-                                              surf_usm_v(0)%rad_sw_out, surf_def_v(1)%rad_sw_out,  &
-                                              surf_lsm_v(1)%rad_sw_out, surf_usm_v(1)%rad_sw_out,  &
-                                              surf_def_v(2)%rad_sw_out, surf_lsm_v(2)%rad_sw_out,  &
-                                              surf_usm_v(2)%rad_sw_out, surf_def_v(3)%rad_sw_out,  &
-                                              surf_lsm_v(3)%rad_sw_out, surf_usm_v(3)%rad_sw_out,  &
-                                              n_out )
+             CALL surface_data_output_sum_up(                                                    &
+                  surf_def_h(0)%rad_sw_out, surf_lsm_h(0)%rad_sw_out, surf_usm_h(0)%rad_sw_out,  &
+                  surf_def_h(1)%rad_sw_out, surf_lsm_h(1)%rad_sw_out, surf_usm_h(1)%rad_sw_out,  &
+                  surf_def_v(0)%rad_sw_out, surf_lsm_v(0)%rad_sw_out, surf_usm_v(0)%rad_sw_out,  &
+                  surf_def_v(1)%rad_sw_out, surf_lsm_v(1)%rad_sw_out, surf_usm_v(1)%rad_sw_out,  &
+                  surf_def_v(2)%rad_sw_out, surf_lsm_v(2)%rad_sw_out, surf_usm_v(2)%rad_sw_out,  &
+                  surf_def_v(3)%rad_sw_out, surf_lsm_v(3)%rad_sw_out, surf_usm_v(3)%rad_sw_out,  &
+                  n_out )
 
           CASE ( 'ghf' )
